package com.ozs.appshow.service;

import com.ozs.appshow.dto.ListSubjectDTO;
import com.ozs.appshow.dto.RelSubjectChartParam;
import com.ozs.appshow.dto.SubjectInfoDTO;
import com.ozs.appshow.util.R;

public interface SubjectManageService {

	/**
	 * 
	 * @param subjectName
	 * @return
	 */
	R<ListSubjectDTO> listSubject(String subjectName);

	/**
	 * 保存专题
	 * 
	 * @param subjectInfo
	 * @return
	 */
	R<String> saveSubject(SubjectInfoDTO subjectInfo);

	/**
	 * 修改专题
	 * 
	 * @param subjectInfo
	 * @return
	 */
	R<String> updateSubject(SubjectInfoDTO subjectInfo);

	/**
	 * 删除专题
	 * 
	 * @param subjectInfo
	 * @return
	 */
	R<String> removeSubject(String id);

	/**
	 * 配置专题图表关联
	 * 
	 * @param relSubjectChartParam
	 * @return
	 */
	R<String> saveRelSubjectChart(RelSubjectChartParam param);

	/**
	 * 修改专题状态
	 * 
	 * @param subjectInfo
	 * @return
	 */
	R<String> updateSubjectState(SubjectInfoDTO subjectInfo);

	/**
	 * 获取专题信息
	 * 
	 * @param id
	 * @return
	 */
	R<RelSubjectChartParam> getSubject(String id);

}
